
      subroutine cog
c******************************************************************************
c     This routine produces sets of curves of growth                    
c******************************************************************************
 
      implicit real*8 (a-h,o-z)
      include 'Chars.com'
      include 'Atmos.com'
      include 'Linex.com'


c*****examine the parameter file
      call params


c*****set up the output files
      nwrite = 20     
      array = 'Give the filename for standard output: '
      nchars = 39
      call infile ('output ',nwrite,'formatted  ',0,nchars,4)
      ndump = 21               
      array = 'Give the filename for summary curves-of-growth: '
      nchars = 48
      call infile ('output ',ndump,'formatted  ',0,nchars,6)


c*****set up the model atmosphere                                        
      filemodel = 30
      array = 'Give the filename for the model atmosphere: '
      nchars = 44
      call infile ('input  ',filemodel,'formatted  ',0,nchars,8)
      call inmodel
      call eqlib


c*****read in the line data; get ready to do the curves of growth
      filelines = 31
      array = 'Give the filename for the line list: '
      nchars = 37
      call infile ('input  ',filelines,'formatted  ',0,nchars,10)
      call inlines (1)
      call eqlib
      call nearly
 

c*****define the range of lines (the whole list, in this case)
      mode = 1
      call linlimit
      if (lim1line .lt. 0) then
         call finish
         return
      endif

 
c*****do the curves of growth
      do lim1=lim1line,lim2line
         lim2 = lim1
         call curve                                                        
      enddo


c****end the computations
      call finish
      return
      end                                                               


