
      subroutine infile (type,iunit,mode,irec,kount,line)

      include 'Chars.com'
      character type*7,kstat*7,yesno*1,mode*11

c  decide on the file status desired
      jstat = 0
      if     (type .eq. 'input  ') then
         kstat = 'old    '
      elseif (type .eq. 'output ') then
         kstat = 'new    '
      elseif (type .eq. 'overout') then
         kstat = 'unknown'
      endif

c  open the file specified by the user
      kold = kount
5     kount = kold
      call getasci (kount,line)
6     if (mode .eq. 'formatted  ') then
         open (unit=iunit,file=chinfo(1:kount),access='sequential',
     .         form=mode,blank='null',status=kstat,
     .         iostat=jstat,err=10)
      else
         open (unit=iunit,file=chinfo(1:kount),access='direct',
     .         form=mode,status=kstat,recl=irec,
     .         iostat=jstat,err=10)
      endif
      istat = ivmove (line+1,1)
      istat = ivcleol ()
      return

c  here are the file reading error messages; the error numbers are
c  three-digit ones for SunOS machines, and four-digit ones for Solaris
10    if (jstat .eq. 118 .or. jstat .eq. 1018) then
         write (errmess,1001) jstat
1001     format ('ERROR ',i4,': FILE DOES NOT EXIST! TRY AGAIN.') 
         istat = ivwrite (line+2,3,errmess,44)
         go to 5
      elseif (jstat .eq. 117 .or. jstat .eq. 1017) then
         write (errmess,1002) jstat
1002     format ('ERROR ',i4,': FILE EXISTS! OVERWRITE (y/n)?')
         istat = ivwrite (line+2,3,errmess,41)
         read (*,*) yesno
         if (yesno .eq. 'y') then
            kstat = 'unknown'
            go to 6
         else
            write (errmess,1003) 
1003        format ('PLEASE GIVE A DIFFERENT FILENAME')
            istat = ivwrite (line+2,3,errmess,32)
            go to 5
         endif
      else
         write (errmess,1004) jstat
1004     format ('ERROR ',i4,': UNKNOWN FILE READING ERROR; ABORT!')
         istat = ivwrite (line+2,3,errmess,46)
      endif

      end




