
      subroutine resynth                   
c******************************************************************************
c     This program synthesizes a section of spectrum and compares it
c     to an observation file.  This version reruns the sythesis without
c     asking for new input or output files and overwrites the original files
c     with the new models.
c******************************************************************************

      implicit real*8 (a-h,o-z)
      include 'Chars.com'
      include 'Atmos.com'
      include 'Factor.com'
      include 'Mol.com'
      include 'Strong.com'


c*****rewind the output files
      rewind nwrite 
      rewind ndump 
      if (ipr(7) .ne. 0) then
         rewind n2dump 
      endif
      

c*****rewrite the model output
      call out (21)
      if (ipr(1) .ge. 1) call out (1)
      call out (8)
      ipr(3) = iopr(3)
      

c*****redo the syntheses
      if (numpecatom .eq. 0 .or. numatomsyn .eq. 0) then
         isorun = 1
         nlines = 0
         mode = 3
         call inlines (1)
         call eqlib
         call nearly
         call synspec
      else
         do n=1,numatomsyn
            isynth = n
            isorun = 1
            mode = 3
	    if (numiso .ne. 0) call out(26)
            call inlines (1)
            call eqlib
            call nearly
            call synspec
            ipr(3) = 0
         enddo
      endif
         

c*****return back to the chabund routine
      return
      end                                                                






